import request from '@/utils/request'

// 查询质量月报S5003列表
export function listS5003(query) {
  return request({
    url: '/production/s5003/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S5003详细
export function getS5003(id) {
  return request({
    url: '/production/s5003/' + id,
    method: 'get'
  })
}

// 新增质量月报S5003
export function addS5003(data) {
  return request({
    url: '/production/s5003',
    method: 'post',
    data: data
  })
}

// 修改质量月报S5003
export function updateS5003(data) {
  return request({
    url: '/production/s5003',
    method: 'put',
    data: data
  })
}

// 删除质量月报S5003
export function delS5003(id) {
  return request({
    url: '/production/s5003/' + id,
    method: 'delete'
  })
}

// 导出质量月报S5003
export function exportS5003(query) {
  return request({
    url: '/production/s5003/export',
    method: 'get',
    params: query
  })
}